Bug 988549 - org-level auto-attach subscriptions overly greedy
org-level auto-attach subscriptions overly greedy
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity urgent (vote)
: Unspecified
: --
Assigned To: Alex Wood
Tazim Kolhar
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 15:43 EDT by Tom McKay
Modified: 2014-07-02 10:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:08:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
orginizations.csv (39 bytes, text/csv)
2013-07-25 15:45 EDT, Tom McKay
no flags Details
systems.csv (1.59 KB, text/csv)
2013-07-25 15:46 EDT, Tom McKay
no flags Details

  None (edit)
Description Tom McKay 2013-07-25 15:43:31 EDT
Created attachment 778491 [details]
manifest #1

After importing an updated manifest and running the org-level auto-attach from katello Systems page, some systems end up with double subscriptions.

Steps to reproduce:
1. Clean install of katello
2. Run mangonel w/ organizations.csv and systems.csv (attached)
   % python ./mangonel_runner -s localhost --port 3000 -u admin -p admin -t tests.test_Populate --org-csv organizations.csv
   % python ./mangonel_runner -s localhost --port 3000 -u admin -p admin -t tests.test_Populate --sys-csv systems.csv
3. Import manifest #1 (attached)
4. Katello UI Systems - "Auto-attach available subscriptions to all systems" button
5. Note subscriptions on system 'jboss1' (still correctly red)
6. Import manifest #2 (attached)
7. Katello UI Systems - "Auto-attach available subscriptions to all systems" button
8. Note subscriptions on system 'jboss1' (still correctly red)

You shold note that jboss1 incorrectly has two subscriptions to RHEL when just one would be enough to cover it (2 sockets w/ 4 guests)
Comment 2 Tom McKay 2013-07-25 15:45:33 EDT
Created attachment 778493 [details]
orginizations.csv
Comment 3 Tom McKay 2013-07-25 15:46:00 EDT
Created attachment 778494 [details]
systems.csv
Comment 4 Alex Wood 2013-08-15 10:34:48 EDT
commit f069596bdfafa63510cb2b6c24eab74546f8cb14
Author: Alex Wood <awood@redhat.com>
Date:   Mon Aug 5 16:54:00 2013 -0400

    988549: Let CandlepinPoolManager decide which products to bind.
Comment 5 Bryan Kearney 2013-08-28 13:11:53 EDT
Lates build (Snap4) should contain these fixes. Please test on Snap4.
Comment 7 Mike McCune 2013-10-17 17:02:12 EDT
Moving this to be tested during MDP3, not critical for MDP2 success story
Comment 10 Tazim Kolhar 2014-05-12 03:08:34 EDT
VERIFIED
Comment 11 Bryan Kearney 2014-07-02 10:08:32 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.
Comment 12 Bryan Kearney 2014-07-02 10:09:51 EDT
This was delivered in 6.0.3, the Beta version of Satellite 6.0

Note You need to log in before you can comment on or make changes to this bug.